API Reference
Incoming Content Endpoint
Receive events from our platform using an incoming content endpoint.
WEBHOOK https://example.com/my/pathEvent Structure
event enum<string>requiredThe name of the event. Possible values:
answer.createdanswer.processingconversation.droppedchat.image.rejectedchat.video.rejected
data objectrequiredThe data associated with the event.
You can find the structure of the data object for each event below:
Response example
{
"event": "answer.created",
"data": {
"projectId": "<string>",
"answer": {
"id": "answer_XXXXXXXXXXXXXXXXXX",
"userProfileId": "<string>",
"personaProfileId": "<string>",
"type": "TEXT",
"text": "Lorem ipsum dolor sit amet.",
"pictureUrl": null,
"tags": {},
"cost": "0.025",
"conversationStopReason": null,
"conversationStoppedUntil": null,
"responseTime": 123,
"sequenceNumber": 123,
"parentAnswerId": "<string>",
"createdAt": "2023-11-07T05:31:56Z"
}
}
}